---
search:
  tags:
    - Suppliers
    - GET
seo:
  description: >-
    Get a supplier by id. A soft-deleted item is returned with deleted: true.
    Reference for the GET /suppliers/{supplierId} endpoint in the scango.ch API.
sidebar:
  label: Get supplier by ID
  badge: GET
title: Get supplier by ID
type: openapi-operation
---
Get a supplier by id. A soft-deleted item is returned with `deleted: true`.

`GET /suppliers/{supplierId}`

**Responses**

- `200` — Supplier details
- `403` — Missing, unknown or inactive API key, or a Read key on a write operation.
- `404` — No item with this id.

Response example, 200:

```json
{
  "data": {
    "id": "sup_01",
    "name": "Example supplier",
    "company": "Example AG",
    "city": "Zürich",
    "street": "Bahnhofstrasse 1",
    "plz": "8001",
    "email": "orders@example.ch",
    "organizationId": "org_01"
  }
}
```

Response example, 403:

```json
{
  "statusCode": 403,
  "message": "Unknown Error",
  "timestamp": "2024-04-20T12:00:00.000Z",
  "path": "/api/v1/products"
}
```
